# $Id$

package MT::Plugin::setOffset;

use strict;
#use MT::Plugin;
use base qw( MT::Plugin );

use vars qw($PLUGIN_NAME $VERSION);
$PLUGIN_NAME = 'setOffset';
$VERSION = '0.1';

use MT;
my $plugin = MT::Plugin::setOffset->new({
    id => 'setOffset',
    key => 'set-offset', #__PACKAGE__,
    name => 'Set Offset',#$PLUGIN_NAME,
    version => $VERSION,
    description => "<MT_TRANS phrase='This plugin enables you to set an arbitary offset when listing entry.'>",
    doc_link => 'http://nozawashinichi.sakura.ne.jp/usingmt/2009/04/mtplugin-set-offset.html',
    author_name => 'Shinichi Nozawa',
    author_link => 'http://nozawashinichi.sakura.ne.jp/usingmt/',
    l10n_class => 'setOffset::L10N',
    #schema_version => 0.01,
    # config_template => \&config_template,
    # blog_config_template => \&blog_config_template,
    #system_config_template => \&system_config_template,
    settings => new MT::PluginSettings([
        #['sort_entries_img', { Default => 'default', Scope => 'system' }],
    ]),
	registry => {
		callbacks =>  {
			#'template_param.entry_table' => \&hdlr_list_entry,
			'template_param.footer' => \&hdlr_list_entry,
			#'template_output.list_entry' => \&hdlr_pagenation,
		},
	},
});

MT->add_plugin($plugin);

sub instance { $plugin; }

sub hdlr_list_entry{
	my ($cb, $app, $param, $tmpl) = @_;
	
	unless($app->mode eq 'list_entry'){
		return;
	}

	my ($mt, $mode, $b_id, $mato, $offset) = ($app->mt_uri, $app->mode, $app->blog ? $app->blog->id : 0, $app->current_magic, $app->param('offset'));
	my $msg = $plugin->translate('Show entries after this.');
	my $str = <<CONTENT;
<form action="$mt" method="POST">
<input type="hidden" name="__mode" value="$mode">
<input type="hidden" name="blog_id" value="$b_id" >
<input type="hidden" name="magic_token" value="$mato">
<input type="text" name="offset" value="$offset" size="4">
<input type="submit" name="go" value="$msg">
</form>
CONTENT

	#my $node = $tmpl->createElement('app:setting', { id => $plugin->key, label => $plugin->name, show_label => 0, hint => 'The number of offset to be set', show_hint => 1 });
	my $node = $tmpl->createElement('app:widget', { id => $plugin->key, label => $plugin->name,  });
	$node->innerHTML($str);
	;
	$tmpl->insertBefore($node, $tmpl->getElementsByTagName('var')->[0]);

}



1;